/*
 * 猫贝zblog小程序免费版 v1.0.1
 * Author: 猫贝
 */

const Api = require('../../utils/api');
const Util = require('../../utils/util');

Page({
  data: {
    navBarHeight: wx.getSystemInfoSync().statusBarHeight,
    placeHolder: "搜索文章/内容/关键词",
    ismore: false,
    autoFocus: false,
    inputEnable: true,
    currentCatIndex: 0,
    indicatorDots: false,
    swiperIndex: 0,
    banner: [],
    tui: [],
    advert: [],
    page: 1,
    cateid: 0,
    nav: [{
      id: 0,
      name: '最新'
    }],
    lastpage: "",
    post: []
  },

  onLoad() {
    this.getHome(); this.getPost(); this.getAdvert();
  },

  swiperChange: function (t) {
    this.setData({
      swiperIndex: t.detail.current
    });
  },

  onReachBottom: function () {
    this.loadPostLast();
  },

  getHome: function () {
    var that = this;
    Util.get(Api.CAT_BEI_CUSTOM, {
      'act': 'home'
    }).then((res) => {
      //console.log(res);
      wx.setStorageSync('CAT_XCXNAME', res.data.data.blogname);
      that.setData({
        banner: res.data.data.banner,
        tui: res.data.data.tui,
        nav: that.data.nav.concat(res.data.data.cates),
        shareimg: res.data.data.shareimg,
        shareintro: res.data.data.shareintro
      })
    })
  },

  tabChange: function (e) {
    let curs = e.currentTarget.dataset.id;
    if (this.data.cateid == curs) {
      return false;
    }
    this.setData({
      cateid: curs,
      page: 1
    })
    this.getPost();
  },

  getPost: function () {
    var that = this;
    Util.get(Api.CAT_BEI_POST, {
      'act': 'list',
      'order': 'desc',
      'sortby': 'PostTime',
      'cate_id': that.data.cateid,
      'page': that.data.page
    }).then((res) => {
      that.setData({
        post: res.data.data.list,
        lastpage: res.data.data.pagebar.PageAll
      })
    })
  },

  getAdvert: function () {
    var that = this;
    Util.get(Api.CAT_BEI_CUSTOM, {
      'act': 'getads'
    }).then((res) => {
      that.setData({
        advert: res.data.data.con
      })
    })
  },

  loadPostLast: function () {
    var that = this;
    if (that.data.page == that.data.lastpage) {
      that.setData({
        ismore: true
      })
    } else {
      Util.get(Api.CAT_BEI_POST, {
        'act': 'list',
        'order': 'desc',
        'sortby': 'PostTime',
        'cate_id': that.data.cateid,
        'page': that.data.page + 1
      }).then(res => {
        that.setData({
          page: res.data.data.pagebar.PageNow,
          post: that.data.post.concat(res.data.data.list),
        });
      })
    }
  },

  bindsearchinput: function (e) {
    this.keyword = e.detail.value;
    this.setData({
      canSearch: this.keyword.length > 0
    });
  },

  bindsearchconfirm: function (e) {
    this.search();
  },

  search: function () {
    let that = this;
    wx.navigateTo({
      url: '/pages/list/list?search=' + that.keyword
    })
  },

  onPullDownRefresh: function (){
    this.getHome(); this.getPost()
    setTimeout(() => {
      wx.hideNavigationBarLoading();
      wx.stopPullDownRefresh()
    }, 1000);
  },

  bindTopost: function (e) {
    var post_id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/post/post?id=' + post_id
    })
  },
  onShareAppMessage: function () {
    let that = this;
    return {
      title: that.data.shareintro,
      path: 'pages/index/index',
      imageUrl: that.data.shareimg,
      success: function (res) {
        wx.showToast({
          title: '分享成功',
          icon: 'success',
          duration: 1500
        })
      },
      fail: function (res) {
        wx.showToast({
          title: '分享失败',
          duration: 1500
        })
      }
    }
  },
  onShareTimeline: function () {
    let that = this;
    return {
      title: that.data.shareintro,
      path: 'pages/index/index',
    }
  },
})