/*
 * 猫贝zblog小程序免费版 v1.0.1
 * Author: 猫贝
 */

const Api = require('../../utils/api');
const Util = require('../../utils/util');

Page({

  data: {
    post: [],
    page: 1,
    ismore: false,
    advert: [],
    allpage: ""
  },

  onLoad: function (options) {
    if (options.id) {
      this.getList(options.id);
      wx.setNavigationBarTitle({
        title: '分类列表',
      })
      this.setData({
        id: options.id
      })
    } else if (options.search) {
      wx.setNavigationBarTitle({
        title: '搜索【' + options.search + '】',
      });
      this.setData({
        key: options.search
      })
      this.getSearch(options.search);
    }
    this.getAdvert();
  },

  getList: function (id) {
    var that = this;
    Util.get(Api.CAT_BEI_POST, {
      'act': 'list',
      'order': 'desc',
      'sortby': 'ID',
      'cate_id': id,
      'page': that.data.page
    }).then((res) => {
      that.setData({
        post: res.data.data.list,
        lastpage: res.data.data.pagebar.PageAll
      })
    })
  },

  getSearch: function (key) {
    var that = this;
    Util.get(Api.CAT_BEI_POST, {
      'act': 'list',
      'order': 'desc',
      'sortby': 'ID',
      'search': key,
      'page': that.data.page
    }).then((res) => {
      that.setData({
        post: res.data.data.list,
        lastpage: res.data.data.pagebar.PageAll
      })
    })
  },

  getAdvert: function () {
    var that = this;
    Util.get(Api.CAT_BEI_CUSTOM, {
      'act': 'getads'
    }).then((res) => {
      that.setData({
        advert: res.data.data.con
      })
    })
  },

  onPullDownRefresh: function () {

  },

  onReachBottom: function () {
    if (this.data.id) {
      this.loadPostLast();
    } else if (this.data.key) {
      this.loadSearchLast();
    }
  },

  loadPostLast: function () {
    var that = this;
    if (that.data.page == that.data.lastpage) {
      that.setData({
        ismore: true
      })
    } else {
      Util.get(Api.CAT_BEI_POST, {
        'act': 'list',
        'order': 'desc',
        'sortby': 'ID',
        'cate_id': that.data.id,
        'page': that.data.page + 1
      }).then(res => {
        that.setData({
          page: res.data.data.pagebar.PageNow,
          post: that.data.post.concat(res.data.data.list),
        });
      })
    }
  },

  loadSearchLast: function () {
    var that = this;
    if (that.data.page == that.data.lastpage) {
      that.setData({
        ismore: true
      })
    } else {
      Util.get(Api.CAT_BEI_POST, {
        'act': 'list',
        'order': 'desc',
        'sortby': 'ID',
        'search': that.data.key,
        'page': that.data.page + 1
      }).then(res => {
        that.setData({
          page: res.data.data.pagebar.PageNow,
          post: that.data.post.concat(res.data.data.list),
        });
      })
    }
  },

  bindTopost: function (e) {
    var post_id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/post/post?id=' + post_id
    })
  },

  onShareAppMessage: function () {}
})