/*
 * 猫贝zblog小程序免费版 v1.0.1
 * Author: 猫贝
 */

const Api = require('../../utils/api');
const Util = require('../../utils/util');
let interstitialAd = null;

Page({

  data: {
    posts: [],
    tabbar: ['热门', '热评'],
    sortid: 0,
    page: 1,
    ismore: false,
    scrollHeight: 300,
    allpage: ""
  },
  sorts: ['ViewNums', 'CommNums'],

  onLoad: function (options) {
    this.getPost();
    this.updatePosition(0)
    Util.get(Api.CAT_BEI_CUSTOM, {
      'act': 'getads'
    }).then((res) => {
      if (wx.createInterstitialAd) {
        interstitialAd = wx.createInterstitialAd({
          adUnitId: res.data.data.con.interstitialid
        })
        interstitialAd.onError(err => {
          console.log(err);
        })
      }
    })
  },

  updatePosition(keyboardHeight) {
    const toolbarHeight = 50
    const { windowHeight } = wx.getSystemInfoSync()
    let scrollHeight = keyboardHeight > 0 ? (windowHeight - keyboardHeight - toolbarHeight) : windowHeight
    this.setData({ scrollHeight })
  },

  tabChange: function (e) {
    let curs = e.currentTarget.dataset.current;
    if (this.data.sortid == curs) {
      return false;
    }
    this.setData({
      sortid: curs,
      page: 1
    })
    this.data.posts = [];
    this.getPost();
  },

  getPost: function () {
    var that = this;
    Util.get(Api.CAT_BEI_POST, {
      'act': 'list',
      'order': 'desc',
      'page': that.data.page,
      'sortby': that.sorts[that.data.sortid],
      'page': that.data.page
    }).then((res) => {
      that.setData({
        posts: res.data.data.list,
        allpage: res.data.data.pagebar.PageAll
      })
    })
  },

  loadPostLast: function () {
    var that = this;
    if (that.data.page == that.data.allpage) {
      that.setData({
        ismore: true
      })
    } else {
      Util.get(Api.CAT_BEI_POST, {
        'act': 'list',
        'order': 'desc',
        'sortby': that.sorts[that.data.sortid],
        'page': that.data.page + 1
      }).then(res => {
        that.setData({
          page: res.data.data.pagebar.PageNow,
          posts: that.data.posts.concat(res.data.data.list),
        });
      })
    }
  },

  bindTopost: function (e) {
    var post_id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/pages/post/post?id=' + post_id
    })
  },

  onShow: function () {
    if (interstitialAd) {
      interstitialAd.show().catch((err) => {
        console.error(err)
      })
    }
  },

  onShareAppMessage: function () {}
})