/*
 * 猫贝zblog小程序免费版 v1.0.1
 * Author: 猫贝
 */

const formatTime = date => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()
  return `${[year, month, day].map(formatNumber).join('')}${[hour, minute, second].map(formatNumber).join('')}${Math.floor(Math.random() * 50 + 50)}`
  //return `${[year, month, day].map(formatNumber).join('/')} ${[hour, minute, second].map(formatNumber).join(':')}`
}

const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : `0${n}`
}

function get(url, data = {}) {
  return request(url, data, 'GET')
}

function post(url, data = {}) {
  return request(url, data, 'POST')
}

function replacestr(str) {
  str = str.replace(/&quot;/g, '"');
  str = str.replace(/&amp;/g, '&');
  str = str.replace(/&lt;/g, '<');
  str = str.replace(/&gt;/g, '>');
  str = str.replace(/&nbsp;/g, ' ');
  str = str.replace(/&#39;/g, "'");
  str = str.replace(/<pre>/g, '<pre><code>');
  str = str.replace(/<pre (.*?)>/g, '<pre><code $1>');
  str = str.replace(/<\/pre>/g, '<\/code><\/pre>');
  return str;
}

function showLoading() {
  wx.showToast({
    title: '加载中',
    icon: 'loading'
  });
}

function cancelLoading() {
  wx.hideToast();
}

function CreateHeader(type) {
  let header = {}
  if (type == 'POST') {
    header = {
      'Authorization': 'Bearer ' + wx.getStorageSync('CAT_LOGINUSER').token
    }
  } else {
    header = {
      'content-type': 'application/json'
    }
  }
  return header;
}

/**
 * 微信request封装
 */
function request(url, data = {}, method = "GET") {
  let header = CreateHeader(method);
  return new Promise(function (resolve, reject) {
    showLoading();
    wx.request({
      url: url,
      data: data,
      method: method,
      header: header,
      success: function (res) {
        resolve(res);
      },
      fail: function (err) {
        console.log(err);
        reject("服务器开小差了，稍等一会～")
      },
      complete: function () {
        cancelLoading();
      }
    })
  });
}

module.exports = {
  formatTime,
  get,
  post,
  replacestr
}